Bug 17915 - Tracroute does not work with ISDN ippp0 Device over Gateway
Tracroute does not work with ISDN ippp0 Device over Gateway
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
: 18471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-29 18:47 EDT by Need Real Name
Modified: 2015-03-04 20:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 14:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-29 18:47:08 EDT
traceroute does not work over an isdn connection /dev/ippp0. After removing
Patch #9
(traceroute-1.4a5-aliases.patch) from the src.rpm it works. It's seems that
there is a
Bug in this patch.
Comment 1 David Woodhouse 2000-09-30 08:28:56 EDT
On my system traceroute appears to be sending packets with the source address of
eth0 (192.168.0.1) rather than the public IP address of ippp0, even when told
'-i ippp0' on the command line. Presumably the same bug.
Comment 2 Daniel Roesen 2000-10-10 11:12:54 EDT
*** Bug 18471 has been marked as a duplicate of this bug. ***
Comment 3 Mark Cooke 2000-12-29 20:41:01 EST
This is also true on my system with standard dialup ppp on 7.0

Looking through the search_routing_table routing and my /proc/net/route file, it
would appear that the code to find the gateway route works fine, but then the
subsequent code to match interface to gateway fails for all point to point
links.

Ie, for a ppp link with local 1.1.1.2 and remote 1.1.1.3, the mask is
255.255.255.255.

Hence if ((al->addr & al->mask) == (use_gateway & al->mask)) is never true,
because use_gateway (the gateway address) is never the same as the local ip
address.

A point-to-point special-case would appear to be in order.

Regards,

Mark
Comment 4 Pekka Savola 2000-12-30 03:03:10 EST
Could you test this with the latest traceroute (-25) from rawhide?  It has a big patch (regarding source routing)
which AFAIR touches some issues used here.

Not all point-to-point links; this would appear to work (granted, recompiled for RHL62) just fine for:

ippp0     Link encap:Point-to-Point Protocol  
          inet addr:193.229.112.41  P-t-P:193.229.112.1  Mask:255.255.255.0
          UP POINTOPOINT RUNNING NOARP  MTU:1500  Metric:1

But here P-t-P is withing the netmask.

For what it's worth, search_routing_table is not always run when you traceroute.  A debugging
printf reveals this.  I recall it isn't run unless you use '-s'.

If you are curious, does it this work with stock traceroute-1.4a11 + patch (see #23013).
Comment 5 Pekka Savola 2001-04-14 16:55:50 EDT
Can you test with the upgraded package (1.4a12) available at http://www.netcore.fi/pekkas/linux/ 
(also mentioned on the other isdn traceroute reports) ?
Comment 6 Phil Knirsch 2002-01-29 08:57:18 EST
Closing this bug due to inactivity.

Read ya, Phil
Comment 7 D. Hugh Redelmeier 2002-08-09 17:29:15 EDT
A lot of traceroute bugs in RHL7 seem to be the same as this one. 21095, 28367.
I experienced this problem with an updated RHL7 too.  It was fixed by installing
RHL7.3's traceroute (traceroute-1.4a12-2.i386.rpm).

I really think that this should be issued as an update for RHL7.0

Note You need to log in before you can comment on or make changes to this bug.